Summary: ODBC driver for MySQL
Name: mysql-connector-odbc
Version: 3.51.26r1127
Release: 2%{?dist}
Group: System Environment/Libraries
URL: http://www.mysql.com/downloads/api-myodbc.html
# exceptions allow library to be linked with most open source SW,
# not only GPL code.
License: GPLv2 with exceptions

Source: http://dev.mysql.com/downloads/connector/odbc/mysql-connector-odbc-%{version}.tar.gz
Patch2: myodbc-shutdown.patch
Patch3: myodbc-multilib.patch

BuildRequires: mysql-devel unixODBC-devel
BuildRequires: automake autoconf libtool libtool-ltdl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
An ODBC (rev 3) driver for MySQL, for use with unixODBC.

%prep
%setup -q

%patch2 -p1
%patch3 -p1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"

libtoolize --copy --force
aclocal
automake -a
automake
autoconf

%configure \
	--disable-gui \
	--with-unixODBC=/usr/foo \
	--with-odbc-ini=/etc/odbc.ini \
	--with-mysql-includes=%{_includedir}/mysql \
	--with-mysql-libs=%{_libdir}/mysql

export tagname=CC
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

# Remove stuff not to be packaged (possibly reconsider later)
rm -f $RPM_BUILD_ROOT%{_bindir}/myodbc3i
rm -f $RPM_BUILD_ROOT%{_bindir}/myodbc3m

# we don't want the static libraries, thanks
rm -f $RPM_BUILD_ROOT%{_libdir}/libmyodbc3.*a
rm -f $RPM_BUILD_ROOT%{_libdir}/libmyodbc3_r.*a

# makefile thinks it should install docs in totally wrong place
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/README
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/README.debug
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/ChangeLog
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/INSTALL
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/LICENSE.exceptions
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/LICENSE.gpl

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README README.debug ChangeLog LICENSE.gpl LICENSE.exceptions
%{_libdir}/lib*so

%changelog
* Mon Oct 10 2011 Tom Lane <tgl@redhat.com> 3.51.26r1127-2
- Remove explicit Requires: for unixODBC
Resolves: #743711

* Wed Apr  8 2009 Tom Lane <tgl@redhat.com> 3.51.26r1127-1
- Update to mysql-connector-odbc 3.51.26r1127
Resolves: #460293

* Mon Jul 17 2006 Tom Lane <tgl@redhat.com> 3.51.12-2.2
- rebuild

* Mon Mar 27 2006 Tom Lane <tgl@redhat.com> 3.51.12-2
- Remove DLL-unload cleanup call from connection shutdown (bz#185343)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.51.12-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.51.12-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Tom Lane <tgl@redhat.com> 3.51.12-1
- New package replacing MyODBC.
